> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form availability

> Get when the form accepts submissions.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml GET /forms/{form_id}/availability
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/availability:
    get:
      tags:
        - Availability
      summary: Get form availability
      description: Get when the form accepts submissions.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/availability_response'
        '404':
          $ref: '#/components/responses/response_form_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    availability_response:
      type: object
      properties:
        availability:
          $ref: '#/components/schemas/availability'
    availability:
      type: object
      properties:
        manage_access_method:
          type: string
          enum:
            - enable
            - disable
            - based_on_submission_count
            - based_on_time
            - based_on_limit_and_time
          example: based_on_limit_and_time
        submission_deadline:
          type: string
          format: date-time
          nullable: true
          example: '2030-01-01T00:00:00.000Z'
        submission_limit:
          type: integer
          nullable: true
          example: 50
        custom_closed_message:
          type: string
          nullable: true
          example: This form is closed.
        is_enabled:
          type: boolean
          description: Whether the form is open for submissions now.
          example: true
    error_response:
      type: object
      properties:
        error:
          type: string
  responses:
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.